Package org.eclipse.mat.ui.snapshot.panes.oql.contentAssist

# Class CommentScanner

java.lang.Object
org.eclipse.jface.text.rules.RuleBasedScanner
org.eclipse.mat.ui.snapshot.panes.oql.contentAssist.CommentScanner

All Implemented Interfaces:
  `ICharacterScanner`, `ITokenScanner`

public class CommentScanner extends RuleBasedScanner
Provides correct color for comments.

## Field Summary

### Fields inherited from interface org.eclipse.jface.text.rules.ICharacterScanner

`EOF`

## Constructor Summary

Constructors
Constructor
Description
`CommentScanner(Color color)`
Defines the token for comments.

## Method Summary

### Methods inherited from class org.eclipse.jface.text.rules.RuleBasedScanner

`getColumn, getLegalLineDelimiters, getTokenLength, getTokenOffset, nextToken, read, setDefaultReturnToken, setRange, setRules, unread`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommentScanner

public CommentScanner(Color color)
Defines the token for comments.